---
name: "fairbrix-win-signer"
distro: "ubuntu"
suites:
- "bionic"
architectures:
- "amd64"
packages:
- "libssl-dev"
- "autoconf"
- "automake"
- "libtool"
- "pkg-config"
remotes:
- "url": "https://github.com/fairbrix-project/fairbrix-detached-sigs.git"
  "dir": "signature"
files:
- "osslsigncode-2.0.tar.gz"
- "fairbrix-win-unsigned.tar.gz"
script: |
  set -e -o pipefail

  BUILD_DIR="$PWD"
  SIGDIR=${BUILD_DIR}/signature/win
  UNSIGNED_DIR=${BUILD_DIR}/unsigned

  echo "5a60e0a4b3e0b4d655317b2f12a810211c50242138322b16e7e01c6fbb89d92f  osslsigncode-2.0.tar.gz" | sha256sum -c

  mkdir -p ${UNSIGNED_DIR}
  tar -C ${UNSIGNED_DIR} -xf fairbrix-win-unsigned.tar.gz

  tar xf osslsigncode-2.0.tar.gz
  cd osslsigncode-2.0

  ./autogen.sh
  ./configure --without-gsf --without-curl --disable-dependency-tracking
  make
  find ${UNSIGNED_DIR} -name "*-unsigned.exe" | while read i; do
    INFILE="$(basename "${i}")"
    OUTFILE="${INFILE/-unsigned}"
    ./osslsigncode attach-signature -in "${i}" -out "${OUTDIR}/${OUTFILE}" -sigin "${SIGDIR}/${INFILE}.pem"
  done
